Integration GuidesDocs
Coverage MatrixDocumentationChange LogLog InContact Us
Docs

Competition Seasons

Returns a list of seasons for a given competition ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
⏱️

Update Frequency

TTL / Cache: 60 seconds

Data Updates: When seasons are added

Polling cadence for this and every other feed: Update Frequencies

📘

Finding Seasons and Competitions

Learn how to walk from sports to competitions to the current season on the Probabilities API Basics page of the Probabilities Integration Guide.


Data Points

Competition
AttributeParent ElementTypeDescription
competition_idseasonStringUnique ID for the competition a season belongs to

ex. sr:competition:138 (Euroleague)
disabledseasonBooleanSignifies a season has been disabled when true
end_dateseasonDateEnd date of a season

ex. 2024-05-26
idseasonStringUnique ID for a season

ex. sr:season:107209 (Euroleague 23/24)
nameseasonStringName of a season

ex. Euroleague 23/24
start_dateseasonDateStart date of a season

ex. 2023-10-05
yearseasonStringYear of a season

ex. 23/24
Path Params
string
enum
required
Defaults to trial

The access level of your API key

trial, production

Allowed:
string
required
Defaults to en

2-letter code for supported languages

en (English)

English is the only fully supported language for this API. Click here for valid language codes and a tabular list of available languages per competition.

string
required
Defaults to sr:competition:17

Unique Id of a competition, found in the Sport Competitions endpoint

Examples: sr:competition:132 (NBA), sr:competition:31 (NFL), sr:competition:109 (MLB)

string
enum
required
Defaults to json

Format returned

json, xml

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json